package com.ifish.validator;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;


/**
 * 用户登陆参数
 * @author Administrator
 *
 */
public class LoginParam{
	
	/**
	 * 手机号
	 */
	@NotBlank
	@Length(max=11,min=8)
	private String phoneNumber;
	/**
	 * 密码
	 */
	@NotBlank
	@Length(max=32,min=32)
	private String userPassword;
	/**
	 * 手机登陆类型
	 */
	@NotBlank
	@Length(max=7,min=3)
	private String loginType;
	/**
	 * 接口版本号
	 * @return
	 */
	@Length(max=3)
	private String version;
	
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public String getUserPassword() {
		return userPassword;
	}
	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}
	public String getLoginType() {
		return loginType;
	}
	public void setLoginType(String loginType) {
		this.loginType = loginType;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	
}
